#!/bin/bash
# Connect LinuxSampler JACK outputs to the first two soundcard inputs.
# Usage: ./lincon.sh number_of_channels
# The supplied session has 16 channels, so you will read in lpclas.sh:
# ./lincon.sh 16
# You can use this script freely, it only requires a shell and
# jack_connect .

jack_connect LinuxSampler:0 system:playback_1
jack_connect LinuxSampler:1 system:playback_2
if [ -n "$1" ]; then
	if [ $1 -ge 2 ]; then
		jack_connect LinuxSampler1:0 system:playback_1
		jack_connect LinuxSampler1:1 system:playback_2;
	fi
	if [ $1 -ge 3 ]; then
		jack_connect LinuxSampler2:0 system:playback_1
		jack_connect LinuxSampler2:1 system:playback_2;
	fi
	if [ $1 -ge 4 ]; then
		jack_connect LinuxSampler3:0 system:playback_1
		jack_connect LinuxSampler3:1 system:playback_2;
	fi
	if [ $1 -ge 5 ]; then
		jack_connect LinuxSampler4:0 system:playback_1
		jack_connect LinuxSampler4:1 system:playback_2;
	fi
	if [ $1 -ge 6 ]; then
		jack_connect LinuxSampler5:0 system:playback_1
		jack_connect LinuxSampler5:1 system:playback_2;
	fi
	if [ $1 -ge 7 ]; then
		jack_connect LinuxSampler6:0 system:playback_1
		jack_connect LinuxSampler6:1 system:playback_2;
	fi
	if [ $1 -ge 8 ]; then
		jack_connect LinuxSampler7:0 system:playback_1
		jack_connect LinuxSampler7:1 system:playback_2;
	fi
	if [ $1 -ge 9 ]; then
		jack_connect LinuxSampler8:0 system:playback_1
		jack_connect LinuxSampler8:1 system:playback_2;
	fi
	if [ $1 -ge 10 ]; then
		jack_connect LinuxSampler9:0 system:playback_1
		jack_connect LinuxSampler9:1 system:playback_2;
	fi
	if [ $1 -ge 11 ]; then
		jack_connect LinuxSampler10:0 system:playback_1
		jack_connect LinuxSampler10:1 system:playback_2;
	fi
	if [ $1 -ge 12 ]; then
		jack_connect LinuxSampler11:0 system:playback_1
		jack_connect LinuxSampler11:1 system:playback_2;
	fi
	if [ $1 -ge 13 ]; then
		jack_connect LinuxSampler12:0 system:playback_1
		jack_connect LinuxSampler12:1 system:playback_2;
	fi
	if [ $1 -ge 14 ]; then
		jack_connect LinuxSampler13:0 system:playback_1
		jack_connect LinuxSampler13:1 system:playback_2;
	fi
	if [ $1 -ge 15 ]; then
		jack_connect LinuxSampler14:0 system:playback_1
		jack_connect LinuxSampler14:1 system:playback_2;
	fi;

	if [ $1 -ge 16 ]; then
		jack_connect LinuxSampler15:0 system:playback_1;
		jack_connect LinuxSampler15:1 system:playback_2;
	fi;
fi
